---
title: Headers.has()
slug: Web/API/Headers/has
tags:
  - API
  - Experimental
  - Fetch
  - Method
  - Reference
  - has
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>has()</code></strong> method of the {{domxref("Headers")}} interface returns a boolean stating whether a <code>Headers</code> object contains a certain header.</p>

<p>For security reasons, some headers can only be controlled by the user agent. These headers include the {{Glossary("Forbidden_header_name", "forbidden header names", 1)}} and {{Glossary("Forbidden_response_header_name", "forbidden response header names", 1)}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>myHeaders</em>.has(<em>name</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>name</code></dt>
	<dd>The name of the HTTP header you want to test for. If the given name is not a valid HTTP header name, this method throws a {{jsxref("TypeError")}}.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Example">Example</h2>

<p>Creating an empty <code>Headers</code> object is simple:</p>

<pre class="brush: js notranslate">var myHeaders = new Headers(); // Currently empty</pre>

<p>You could add a header to this using {{domxref("Headers.append")}}, then test for the existence of it using <code>has()</code>:</p>

<pre class="brush: js notranslate">myHeaders.append('Content-Type', 'image/jpeg');
myHeaders.has('Content-Type'); // Returns true
myHeaders.has('Accept-Encoding'); // Returns false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Fetch','#dom-headers-has','has()')}}</td>
			<td>{{Spec2('Fetch')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Headers.has")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
	<li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
	<li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
